<template>
    <button class="the-edit-bar-button" :aria-label="title" type="button" :title="full_title" :class="{ active: active }" :disabled="!enabled" @click="action">
        <slot></slot>
    </button>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import { PropType,} from 'vue'

export default defineComponent({
    computed: {
        full_title(){
            return this.shortcut ? `${this.title} (${this.shortcut})` : this.title
        }
    },
    props: {
        active: {
            type: Boolean,
            default: false,
        },
        title: String,
        shortcut: {
            type: String,
            required: false,
        },
        enabled: Boolean,
        action: {
            type: Function as PropType<(p: Event) => void>,
            required: true
        }
    }
})
</script>
